package org.snarfed.android.headphonebuttons;

/**
 * Class of constants used by this Locale plug-in.
 */
public final class Constants
{
    /**
     * Private constructor prevents instantiation
     * 
     * @throws UnsupportedOperationException because this class cannot be instantiated.
     */
    private Constants()
    {
        throw new UnsupportedOperationException("This class is non-instantiable"); //$NON-NLS-1$
    }

    /**
     * Log tag for logcat messages
     */
    public static final String LOG_TAG = "HeadphoneButtonsSetting"; //$NON-NLS-1$

    /**
     * Flag to enable logcat messages.
     */
    public static final boolean IS_LOGGABLE = true;

    /**
     * Flag to enable runtime checking of method parameters.
     */
    public static final boolean ENABLE_PARAMETER_CHECKING = false;

    /**
     * Flag to enable runtime checking of whether a method is called on the correct thread.
     */
    public static final boolean ENABLE_CORRECT_THREAD_CHECKING = false;
}
