package org.snarfed.android.headphonebuttons.ui;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.provider.MediaStore;
import android.util.Log;
import android.view.KeyEvent;

import org.snarfed.android.headphonebuttons.bundle.BundleScrubber;
import org.snarfed.android.headphonebuttons.bundle.PluginBundleManager;
import org.snarfed.android.headphonebuttons.receiver.FireReceiver;

/**
 * This activity fires this setting by broadcasting the ACTION_FIRE_SETTING
 * intent. It's intended only for testing.
 */
public final class FireActivity extends Activity {
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

         // create extras bundle
        Bundle bundle = new Bundle();
        bundle.putString(PluginBundleManager.BUNDLE_EXTRA_STRING_BUTTON,
                         "Play/Pause");

        // broadcast intent
        Log.d(EditActivity.TAG, "Broadcasting FIRE_SETTING with " + bundle);
        Intent intent = new Intent(getApplicationContext(), FireReceiver.class)
            .setAction(com.twofortyfouram.locale.Intent.ACTION_FIRE_SETTING)
            .putExtra(com.twofortyfouram.locale.Intent.EXTRA_BUNDLE, bundle);
        getApplicationContext().sendBroadcast(intent);

        finish();
    }
}
